Error Code Reference
This document summarizes common interface error codes and their solutions for the Unisound Maas Platform to help developers quickly troubleshoot and resolve invocation issues.
- To report an issue, please provide the
Trace-Idin the Header so we can troubleshoot it for you.
1. General Error Codes (100xxx)
| HTTP Code | Business Code | Message | Solution |
|---|---|---|---|
| 200 | 0 | success | - |
| 400 | 100001 | param error:xx | Verify that request parameters are passed correctly |
| 400 | 100002 | data not found:xx | Confirm that parameter value xx has the resource uploaded or task created correctly |
| 400 | 100099 | call error:xx | Follow the correct invocation flow |
| 401 | 100101 | auth error:xx | Add Authorization to the request header |
| 401 | 100102 | auth error:xx | Add Bearer API_key to the Authorization header |
| 401 | 100103 | auth error:xx | Check whether the API_key is correct or expired |
| 401 | 100104 | user error:xx | Top up your account |
| 401 | 100105 | model error:xx | Contact support to obtain model access |
| 401 | 100106 | api_key error:xx | Contact support to find out why the API_KEY was disabled |
| 404 | 100301 | path error:xx | Check whether the request path is correct |
| 429 | 100501 | rpm error:xx | Contact support to increase your per-minute concurrency limit |
| 435 | 100601 | body error:xx | Confirm that the file size meets requirements |
| 500 | 100997 | backend service timeout:xx | Retry; if the error persists, submit a ticket with trace_id |
| 500 | 100998 | backend service error:xx | Retry; if the error persists, submit a ticket with trace_id |
| 500 | 100999 | server internal error:xx | Retry; if the error persists, submit a ticket with trace_id |
2. Speech Recognition Error Codes (200xxx)
| HTTP Code | Business Code | Message | Solution |
|---|---|---|---|
| 400 | 200001 | task repeat:xx | Check whether the same task was submitted repeatedly |
| 500 | 200011 | format error:xx | Confirm that the audio file format meets requirements |
| 500 | 200012 | task error:xx | Contact support and submit a ticket with task_id |
| 500 | 200013 | task error:xx | Contact support and submit a ticket with task_id |
| 500 | 200099 | task error:xx | Contact support and submit a ticket with task_id |
3. Speech Synthesis Error Codes (220xxx)
| HTTP Code | Business Code | Message | Solution |
|---|---|---|---|
| 400 | 220001 | vcn error:xx | Check whether the voice (vcn) is correct |
| 401 | 220107 | token plan error: xx | Insufficient Token Plan credits |
| 401 | 220108 | token plan error: xx | No valid Token Plan subscription |
| 401 | 220109 | Insufficient balance | Insufficient balance |
4. Voice Cloning Error Codes (221xxx)
| HTTP Code | Business Code | Message | Solution |
|---|---|---|---|
| 400 | 221001 | vcn error:xx | Check whether the voice (vcn) is correct |
| 500 | 221099 | server internal error:xx | Retry; if the error persists, submit a ticket with trace_id |
5. Text Model Error Codes (240xxx)
| HTTP Code | Business Code | Message | Solution |
|---|---|---|---|
| 400 | 240001 | - | - |
6. OCR Service Error Codes (260xxx)
| HTTP Code | Business Code | Message | Solution |
|---|---|---|---|
| 400 | 260001 | task repeat:xx | Check whether the same task was submitted repeatedly |
| 500 | 260099 | task error:xx | Contact support and submit a ticket with task_id |
7. File Management Error Codes (101xxx)
| HTTP Code | Business Code | Message | Solution |
|---|---|---|---|
| 500 | 101999 | unknown error | Contact support and submit a ticket with task_id |
8. OCR Extraction & Classification Error Codes (261xxx)
| HTTP Code | Business Code | Message | Solution |
|---|---|---|---|
| 400 | 261001 | format error:xx | Confirm that the image format is JPG, JPEG, PNG, or BMP |
| 400 | 261003 | decode error:xx | Confirm that the image is not corrupted and can be parsed; try a different image |
| 429 | 100502 | tpm error | Contact support to increase your TPM rate limit |
9. One-Shot ASR Error Codes (202xxx)
| Business Code | Message | Solution |
|---|---|---|
| 202001 | param error:xx | Check parameters |
| 202002 | idle timeout error: xx | Connection idle timeout |
| 202003 | server internal error: xx | Contact support and submit a ticket with request_id |
| 202004 | asr timeout error: xx | Recognition timeout (default limit 25000 ms) |
| 202005 | decode error: xx | Audio decode failed |
10. Real-Time ASR Error Codes (203xxx)
| Business Code | Message | Solution |
|---|---|---|
| 203001 | param error:xx | Check parameters |
| 203002 | idle timeout error: xx | Connection idle timeout |
| 203003 | server internal error: xx | Contact support and submit a ticket with request_id |
| 203004 | process error:: xx | Contact support and submit a ticket with request_id |
| 203005 | decode error: xx | Audio decode failed |